## org.jfree.chart.plot
Class DialShape

    java.lang.Object
      org.jfree.chart.plot.DialShape

All Implemented Interfaces:
  java.io.Serializable

public final class DialShape
extends java.lang.Object
implements java.io.Serializable

Used to indicate the background shape for a `MeterPlot`.

See Also:
  Serialized Form

Field Summary
`static DialShape` `CHORD` Chord.
`static DialShape` `CIRCLE` Circle.
`static DialShape` `PIE` Pie.

Method Summary
`boolean` `equals(java.lang.Object o)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`java.lang.String` `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CIRCLE

    public static final DialShape CIRCLE

  Circle.

### CHORD

    public static final DialShape CHORD

  Chord.

### PIE

    public static final DialShape PIE

  Pie.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Returns:
    The string.

### equals

    public boolean equals(java.lang.Object o)

  Returns `true` if this object is equal to the specified object, and `false` otherwise.

  Parameters:
    `o` - the other object.
  Returns:
    A boolean.